declare namespace API {
  export interface ResponseData<T> {
    code: number | string;
    data: T;
    message?: string;
    /**
     * 用于表明http请求是否成功
     */
    success: boolean;
    /**
     * 用于标明业务请求内容是否成功, 等价于code === 0
     */
    requestIsSuccess: boolean;
  }


}

declare namespace DATA {
  export interface User {
    backgroundPermission: number;
    /**
     * 姓名
     */
    cnName: string;
    companyId: string;
    deptId: string;
    /**
     * 部分名称
     */
    deptName: string;
    email: string;
    /**
     * 头像
     */
    headImgUrl: string;
    /**
     * 手机号
     */
    phone: string;
  }
}